Summary: Perl Template Toolkit
Name: perl-Template
Version: 2.07
Release: 1
License: distributable
Group: Development/Languages
Source: http://www.cpan.org/modules/by-module/Template/Template-Toolkit-%{version}.tar.gz
URL: http://www.template-toolkit.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl, perl-AppConfig >= 1.52, perl(AppConfig) >= 1.52
Requires: perl >= 5.6.0, perl-AppConfig >= 1.52, perl(AppConfig) >= 1.52

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Template-Toolkit-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL TT_PREFIX="%{_datadir}/tt2" TT_ACCEPT=y
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
PERL5LIB=$RPM_BUILD_ROOT%{_libdir}/perl5/site_perl make PREFIX=$RPM_BUILD_ROOT%{_prefix} TT_PREFIX="$RPM_BUILD_ROOT%{_datadir}/tt2" install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -rf $RPM_BUILD_ROOT/$installsitearch/auto/*/{.packlist,*.bs}

%files
%defattr(-,root,root)
%doc README Changes TODO HACKING INSTALL
%{_libdir}/perl5/*
%{_mandir}/*/*
%{_datadir}/tt2
%{_bindir}/*

%changelog
* Sat Nov 10 2001 Aleksey Nogin <ayn2@cornell.edu>
- initial package, adapted from perl-Digest-MD5
